Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 76 lines (70 sloc) 2.494 kb
810fde8 @pwnall Regenerate gemspec for version 1.0.0
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{gem-index-dumper}
8 s.version = "1.0.0"
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Victor Costan"]
12 s.date = %q{2010-11-19}
13 s.default_executable = %q{gem-index-dumper}
cf7f5e3 @pwnall Regenerate gemspec for version 1.0.0
authored
14 s.description = %q{Command-line utility to perform queries on the gem index that are useful for detecting MITM attacks. }
15 s.email = %q{victor@costan.us}
810fde8 @pwnall Regenerate gemspec for version 1.0.0
authored
16 s.executables = ["gem-index-dumper"]
17 s.extra_rdoc_files = [
18 "LICENSE.txt",
19 "README.rdoc"
20 ]
21 s.files = [
22 ".document",
23 ".project",
24 ".rspec",
25 "Gemfile",
26 "Gemfile.lock",
27 "LICENSE.txt",
28 "README.rdoc",
29 "Rakefile",
30 "VERSION",
31 "bin/gem-index-dumper",
cf7f5e3 @pwnall Regenerate gemspec for version 1.0.0
authored
32 "gem-index-dumper.gemspec",
810fde8 @pwnall Regenerate gemspec for version 1.0.0
authored
33 "lib/gem-index-dumper.rb",
34 "spec/gem-index-dumper_spec.rb",
35 "spec/spec_helper.rb"
36 ]
37 s.homepage = %q{http://github.com/pwnall/gem-index-dumper}
38 s.licenses = ["MIT"]
39 s.require_paths = ["lib"]
40 s.rubygems_version = %q{1.3.7}
cf7f5e3 @pwnall Regenerate gemspec for version 1.0.0
authored
41 s.summary = %q{Spot-checks on the gem index.}
810fde8 @pwnall Regenerate gemspec for version 1.0.0
authored
42 s.test_files = [
43 "spec/gem-index-dumper_spec.rb",
44 "spec/spec_helper.rb"
45 ]
46
47 if s.respond_to? :specification_version then
48 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
49 s.specification_version = 3
50
51 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
52 s.add_runtime_dependency(%q<bundler>, ["~> 1.0.0"])
53 s.add_development_dependency(%q<rspec>, ["~> 2.1.0"])
54 s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
55 s.add_development_dependency(%q<jeweler>, ["~> 1.5.1"])
56 s.add_development_dependency(%q<rcov>, [">= 0"])
57 s.add_runtime_dependency(%q<bundler>, ["~> 1.0.0"])
58 else
59 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
60 s.add_dependency(%q<rspec>, ["~> 2.1.0"])
61 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
62 s.add_dependency(%q<jeweler>, ["~> 1.5.1"])
63 s.add_dependency(%q<rcov>, [">= 0"])
64 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
65 end
66 else
67 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
68 s.add_dependency(%q<rspec>, ["~> 2.1.0"])
69 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
70 s.add_dependency(%q<jeweler>, ["~> 1.5.1"])
71 s.add_dependency(%q<rcov>, [">= 0"])
72 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
73 end
74 end
75
Something went wrong with that request. Please try again.